$colors : (
	light      : white,
	dark       : black,
	blue       : #00AAEE,
	red        : #EA2730,
	orange     : #FF8800,
	green      : #33BB55,
	yellow     : #EECC44,
	grey       : #767676,
	light-grey : #aaa,
	faint-grey : #eee
);

$rainbowColors : (
	map-get($colors, blue),
	map-get($colors, red),
	map-get($colors, orange),
	map-get($colors, green),
	map-get($colors, yellow)
);

$highlight : map-get($colors, blue);

:root {
	@each $colorName, $colorValue in $colors {
		--color-#{$colorName} : #{$colorValue};
	}
	--color-highlight : #{$highlight};
}

@function color($color) {
	@return var(--color-#{$color});
}

@each $colorName, $colorValue in $colors {
	.color-#{$colorName}  {
		color: #{$colorValue};
	}
}

$rainbow : linear-gradient(color(red) 0, color(red) 10%, transparent 10%, transparent 20%, color(orange) 20%, color(orange) 30%, transparent 30%, transparent 40%, color(yellow) 40%, color(yellow) 50%, transparent 50%, transparent 60%, color(green) 60%, color(green) 70%, transparent 70%, transparent 80%, color(blue) 80%, color(blue) 90%, transparent 90%);

// variables
$mobile-width : 960px;